
Redmine - Defect #8405

Custom fields - it seems some are omitted.

2011-05-19 20:12 - Ivan Cenov

Status: Closed Start date: 2011-05-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello, I saw something suspicious in Redmine trun 5857, concerning the custom fields.

The allowed format for custom fields for Issues, Spent time, Projects, Versions are

Text, Long text, Integer, Float, List, Date, Boolean, User, Version.

The allowed format for custom fields for Users, Groups, Activities (time tracking), Issues priorities, Document categories are

Text, Long text, Integer, Float, List, Date, Boolean

Is this by design or is an omission?

Related issues:

Related to Redmine - Feature #2096: Custom fields referencing system tables (... Closed 2008-10-27

History

#1 - 2011-05-19 20:19 - Ivan Cenov

Configuration:

Redmine trunk 5857

Ruby 1.8.7

Rails 2.3.11

started with "ruby script\server -e production"

Also, Rails 2.3.5 is installed on the machine.

#2 - 2011-05-20 09:21 - Etienne Massip

Refers to JPL note 62 of #2096 (here) and note 66.

#3 - 2011-05-31 17:26 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

A User custom field displays a project members list and a Version custom field displays a project versions list. They are project specific and thus only

available for things that belong to a project.

This is how it is designed for now.
